Auth
/auth/embed/session
Issue a short-lived embedded session for a provider user.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
sub*string
Length
1 <= lengthtenantId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.edge.vrplatform.app/auth/embed/session" \ -H "Content-Type: application/json" \ -d '{ "sub": "string", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0" }'{
"accessToken": "string",
"expiresAt": "string",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}